# QTimerEvent Class Reference

The QTimerEvent class contains parameters that describe a timer event. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QTimerEvent ( int timerId )
- int timerId () const

## Detailed Description

The QTimerEvent class contains parameters that describe a timer event.

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier.

If interval is 0, then the timer event occurs once every time there are no more window system events to process.

The QTimer class provides a high-level programming interface with one-shot timers and timer signals instead of events.

The event handler QObject::timerEvent() receives timer events.

See also: QTimer, QObject::timerEvent(), QObject::startTimer(), QObject::killTimer() and QObject::killTimers().

Examples: dclock/dclock.cpp grapher/grapher.cpp forever/forever.cpp progress/progress.cpp qmag/qmag.cpp biff/biff.cpp

## Member Function Documentation

### QTimerEvent::QTimerEvent ( int timerId )

Constructs a timer event object with the timer identifier set to timerId.

### int QTimerEvent::timerId () const

Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qevent.h: 1998/10/05
- qdnd_x11.cpp: 1998/12/17
- qevent.cpp: 1999/01/13